#ifndef _PROTOTYPE
#define _PROTOTYPE

#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>

#include "./type.h"

// public functions

void error(const char *sys_msg, ...);

container_t *initialize_container(struct clone_args);
pid_t run(container_t *c);
void container_error_handler(container_t *c, const char *error_msg, ...);
void destroy_container(container_t *c);

#endif
